export declare class SpwSidebar {
    el: HTMLSpwSidebarElement;
    /** Si true, la sidebar est dépliée par défaut */
    defaultExpanded: boolean;
    expanded: boolean;
    hasTopbar: boolean;
    private readonly BODY_CLASS;
    private observer;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    private toggleSidebar;
    /** Ouvre la sidebar */
    open(): Promise<void>;
    /** Ferme la sidebar */
    close(): Promise<void>;
    /** Ouvre ou ferme la sidebar */
    toggle(): Promise<void>;
    private checkTopbarClass;
    private checkExpandedState;
    private observeBodyClassChanges;
    private get hostClass();
    private get elementClass();
    render(): any;
}
